[PC-BSD Commits] r3395 - pcbsd/trunk/mfsroot-overlay/etc

svn at pcbsd.org svn at pcbsd.org
Mon Feb 2 11:08:35 PST 2009


Author: kris
Date: 2009-02-02 11:08:35 -0800 (Mon, 02 Feb 2009)
New Revision: 3395

Modified:
   pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh
Log:

Updated our integrity checker script to test PCBSD2.tar.lzma when booing from DVD to be 100% certian we have a good burn



Modified: pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh
===================================================================
--- pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh	2009-02-02 18:31:55 UTC (rev 3394)
+++ pcbsd/trunk/mfsroot-overlay/etc/IntegrityCheck.sh	2009-02-02 19:08:35 UTC (rev 3395)
@@ -30,14 +30,24 @@
 then
  echo -e "\nChecking integrity of installer archive...\c"
  /sbin/md5 -q /mnt/PCBSD.tar.lzma  | /bin/cmp -s /mnt/PCBSD.tar.lzma.md5 -
- 
  if [ "$?" != "0" ]
  then
   echo "FAILED"
   exit 1
- else
+ fi
+
+ # Check if we have a PCBSD2.tar.lzma file
+ if [ -e "/mnt/PCBSD2.tar.lzma" ]
+ then
+   /sbin/md5 -q /mnt/PCBSD2.tar.lzma  | /bin/cmp -s /mnt/PCBSD2.tar.lzma.md5 -
+   if [ "$?" != "0" ]
+   then
+     echo "FAILED"
+     exit 1
+   fi
+ fi
+
   echo "OK"
- fi
 fi
 
 fi # End of PCBSD.tar.lzma check



More information about the Commits mailing list